Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 2036)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 2037)
@@ -3021,4 +3113,5 @@
                    s1 = s1 + 0.5_wp * ( pt(k,j,i)   - hom(k,1,4,sr) +          &
                                         pt(k+1,j,i) - hom(k+1,1,4,sr) )        &
+                                    * heatflux_output_conversion(k)            &
                                     * w(k,j,i) * rmask(j,i,sr)                 & 
                                     * rflags_invers(j,i,k+1)
@@ -3039,4 +3132,5 @@
                       s1 = s1 + 0.5_wp * ( q(k,j,i)   - hom(k,1,41,sr) +       &
                                            q(k+1,j,i) - hom(k+1,1,41,sr) )     &
+                                       * waterflux_output_conversion(k)        &
                                        * w(k,j,i) * rmask(j,i,sr)              &
                                        * rflags_invers(j,i,k+1)
@@ -3167,8 +3261,12 @@
                                                    ( kh(k,j,i) + kh(k,j,i-1) ) &
                                                  * ( pt(k,j,i-1) - pt(k,j,i) ) &
+                                               * rho_air_zw(k)                 &
+                                               * heatflux_output_conversion(k) &
                                                  * ddx * rmask(j,i,sr)
                    sums_l(k,61,tn) = sums_l(k,61,tn) - 0.5_wp *                &
                                                    ( kh(k,j,i) + kh(k,j-1,i) ) &
                                                  * ( pt(k,j-1,i) - pt(k,j,i) ) &
+                                               * rho_air_zw(k)                 &
+                                               * heatflux_output_conversion(k) &
                                                  * ddy * rmask(j,i,sr)
 !
@@ -3177,5 +3275,6 @@
                                      ( u(k,j,i) - hom(k,1,1,sr) ) * 0.5_wp *   &
                                      ( pt(k,j,i-1) - hom(k,1,4,sr) +           &
-                                       pt(k,j,i)   - hom(k,1,4,sr) )
+                                       pt(k,j,i)   - hom(k,1,4,sr) )           &
+                                     * heatflux_output_conversion(k)
                    pts = 0.5_wp * ( pt(k,j-1,i) - hom(k,1,4,sr) +              &
                                     pt(k,j,i)   - hom(k,1,4,sr) )
@@ -3183,5 +3282,6 @@
                                      ( v(k,j,i) - hom(k,1,2,sr) ) * 0.5_wp *   &
                                      ( pt(k,j-1,i) - hom(k,1,4,sr) +           &
-                                       pt(k,j,i)   - hom(k,1,4,sr) )
+                                       pt(k,j,i)   - hom(k,1,4,sr) )           &
+                                     * heatflux_output_conversion(k)
                 ENDDO
              ENDDO
@@ -3468,4 +3568,7 @@
        END IF
 
+       hom(:,1,121,sr) = rho_air       ! rho_air in Kg/m^3
+       hom(:,1,122,sr) = rho_air_zw    ! rho_air_zw in Kg/m^3
+
        hom(:,1,pr_palm,sr) =   sums(:,pr_palm)
                                        ! u*, w'u', w'v', t* (in last profile)
@@ -3576,5 +3679,6 @@
        IF ( hom(nzb,1,18,sr) > 1.0E-8_wp  .AND.  z_i(1) /= 0.0_wp )  THEN
           hom(nzb+8,1,pr_palm,sr) = &
-             ( g / hom(k_surface_level+1,1,4,sr) * hom(k_surface_level,1,18,sr)&
+             ( g / hom(k_surface_level+1,1,4,sr) *                             &
+             ( hom(k_surface_level,1,18,sr) / heatflux_output_conversion(nzb) )&
              * ABS( z_i(1) - mean_surface_level_height(sr) ) )**0.333333333_wp
        ELSE
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 2036)
+++ /palm/trunk/SOURCE/header.f90	(revision 2037)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Anelastic approximation implemented
 ! 
 ! Former revisions:
@@ -552,4 +552,5 @@
 !-- Numerical schemes
     WRITE ( io, 110 )
+    WRITE ( io, 121 )  TRIM( approximation )
     IF ( psolver(1:7) == 'poisfft' )  THEN
        WRITE ( io, 111 )  TRIM( fft_method )
@@ -1906,4 +1907,5 @@
 110 FORMAT (/' Numerical Schemes:'/ &
              ' -----------------'/)
+121 FORMAT (' --> Use the ',A,' approximation for the model equations.')
 111 FORMAT (' --> Solve perturbation pressure via FFT using ',A,' routines')
 112 FORMAT (' --> Solve perturbation pressure via SOR-Red/Black-Schema'/ &
Index: /palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_3d_model.f90	(revision 2036)
+++ /palm/trunk/SOURCE/init_3d_model.f90	(revision 2037)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Anelastic approximation implemented
 ! 
 ! Former revisions:
@@ -315,4 +315,7 @@
     USE arrays_3d
 
+    USE cloud_parameters,                                                      &
+        ONLY:  cp, l_v, r_d
+
     USE constants,                                                             &
         ONLY:  pi
@@ -324,5 +327,5 @@
     
     USE grid_variables,                                                        &
-        ONLY:  dx, dy
+        ONLY:  dx, dy, ddx2_mg, ddy2_mg
     
     USE indices
@@ -393,4 +396,13 @@
     INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  ngp_2dh_outer_l    !<
     INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE ::  ngp_2dh_s_inner_l  !<
+
+    REAL(wp)     ::  t_surface !< air temperature at the surface
+
+    REAL(wp), DIMENSION(:), ALLOCATABLE ::  p_hydrostatic !< hydrostatic pressure
+
+    INTEGER(iwp) ::  l       !< loop variable
+    INTEGER(iwp) ::  nzt_l   !< index of top PE boundary for multigrid level
+    REAL(wp) ::  dx_l !< grid spacing along x on different multigrid level
+    REAL(wp) ::  dy_l !< grid spacing along y on different multigrid level
 
     REAL(wp), DIMENSION(1:3) ::  volume_flow_area_l     !<
@@ -647,4 +659,140 @@
 
 !
+!-- Allocation of anelastic and Boussinesq approximation specific arrays
+    ALLOCATE( p_hydrostatic(nzb:nzt+1) )
+    ALLOCATE( rho_air(nzb:nzt+1) )
+    ALLOCATE( rho_air_zw(nzb:nzt+1) )
+    ALLOCATE( drho_air(nzb:nzt+1) )
+    ALLOCATE( drho_air_zw(nzb:nzt+1) )
+
+!
+!-- Density profile calculation for anelastic approximation
+    IF ( TRIM( approximation ) == 'anelastic' ) THEN
+       t_surface = pt_surface * ( surface_pressure / 1000.0_wp )**( r_d / cp )
+       DO  k = nzb, nzt+1
+          p_hydrostatic(k)    = surface_pressure * 100.0_wp *                  &
+                                ( 1 - ( g * zu(k) ) / ( cp * t_surface )       &
+                                )**( cp / r_d )
+          rho_air(k)          = ( p_hydrostatic(k) *                           &
+                                  ( 100000.0_wp / p_hydrostatic(k)             &
+                                  )**( r_d / cp )                              &
+                                ) / ( r_d * pt_init(k) )
+       ENDDO
+       DO  k = nzb, nzt
+          rho_air_zw(k) = 0.5_wp * ( rho_air(k) + rho_air(k+1) )
+       ENDDO
+       rho_air_zw(nzt+1)  = rho_air_zw(nzt)                                    &
+                            + 2.0_wp * ( rho_air(nzt+1) - rho_air_zw(nzt)  )
+    ELSE
+       rho_air     = 1.0_wp
+       rho_air_zw  = 1.0_wp
+    ENDIF
+
+!-- compute the inverse density array in order to avoid expencive divisions
+    drho_air    = 1.0_wp / rho_air
+    drho_air_zw = 1.0_wp / rho_air_zw
+
+!
+!-- Allocation of flux conversion arrays
+    ALLOCATE( heatflux_input_conversion(nzb:nzt+1) )
+    ALLOCATE( waterflux_input_conversion(nzb:nzt+1) )
+    ALLOCATE( momentumflux_input_conversion(nzb:nzt+1) )
+    ALLOCATE( heatflux_output_conversion(nzb:nzt+1) )
+    ALLOCATE( waterflux_output_conversion(nzb:nzt+1) )
+    ALLOCATE( momentumflux_output_conversion(nzb:nzt+1) )
+
+!
+!-- calculate flux conversion factors according to approximation and in-/output mode
+    DO  k = nzb, nzt+1
+
+        IF ( TRIM( flux_input_mode ) == 'kinematic' )  THEN
+            heatflux_input_conversion(k)      = rho_air_zw(k)
+            waterflux_input_conversion(k)     = rho_air_zw(k)
+            momentumflux_input_conversion(k)  = rho_air_zw(k)
+        ELSEIF ( TRIM( flux_input_mode ) == 'dynamic' ) THEN
+            heatflux_input_conversion(k)      = 1.0_wp / cp
+            waterflux_input_conversion(k)     = 1.0_wp / l_v
+            momentumflux_input_conversion(k)  = 1.0_wp
+        ENDIF
+
+        IF ( TRIM( flux_output_mode ) == 'kinematic' )  THEN
+            heatflux_output_conversion(k)     = drho_air_zw(k)
+            waterflux_output_conversion(k)    = drho_air_zw(k)
+            momentumflux_output_conversion(k) = drho_air_zw(k)
+        ELSEIF ( TRIM( flux_output_mode ) == 'dynamic' ) THEN
+            heatflux_output_conversion(k)     = cp
+            waterflux_output_conversion(k)    = l_v
+            momentumflux_output_conversion(k) = 1.0_wp
+        ENDIF
+
+        IF ( .NOT. humidity ) THEN
+            waterflux_input_conversion(k)  = 1.0_wp
+            waterflux_output_conversion(k) = 1.0_wp
+        ENDIF
+
+    ENDDO
+
+!
+!-- In case of multigrid method, compute grid lengths and grid factors for the
+!-- grid levels with respective density on each grid
+    IF ( psolver(1:9) == 'multigrid' )  THEN
+
+       ALLOCATE( ddx2_mg(maximum_grid_level) )
+       ALLOCATE( ddy2_mg(maximum_grid_level) )
+       ALLOCATE( dzu_mg(nzb+1:nzt+1,maximum_grid_level) )
+       ALLOCATE( dzw_mg(nzb+1:nzt+1,maximum_grid_level) )
+       ALLOCATE( f1_mg(nzb+1:nzt,maximum_grid_level) )
+       ALLOCATE( f2_mg(nzb+1:nzt,maximum_grid_level) )
+       ALLOCATE( f3_mg(nzb+1:nzt,maximum_grid_level) )
+       ALLOCATE( rho_air_mg(nzb:nzt+1,maximum_grid_level) )
+       ALLOCATE( rho_air_zw_mg(nzb:nzt+1,maximum_grid_level) )
+
+       dzu_mg(:,maximum_grid_level) = dzu
+       rho_air_mg(:,maximum_grid_level) = rho_air
+!       
+!--    Next line to ensure an equally spaced grid. 
+       dzu_mg(1,maximum_grid_level) = dzu(2)
+       rho_air_mg(nzb,maximum_grid_level) = rho_air(nzb) +                     &
+                                             (rho_air(nzb) - rho_air(nzb+1))
+
+       dzw_mg(:,maximum_grid_level) = dzw
+       rho_air_zw_mg(:,maximum_grid_level) = rho_air_zw
+       nzt_l = nzt
+       DO  l = maximum_grid_level-1, 1, -1
+           dzu_mg(nzb+1,l) = 2.0_wp * dzu_mg(nzb+1,l+1)
+           dzw_mg(nzb+1,l) = 2.0_wp * dzw_mg(nzb+1,l+1)
+           rho_air_mg(nzb,l)    = rho_air_mg(nzb,l+1) + (rho_air_mg(nzb,l+1) - rho_air_mg(nzb+1,l+1))
+           rho_air_zw_mg(nzb,l) = rho_air_zw_mg(nzb,l+1) + (rho_air_zw_mg(nzb,l+1) - rho_air_zw_mg(nzb+1,l+1))
+           rho_air_mg(nzb+1,l)    = rho_air_mg(nzb+1,l+1)
+           rho_air_zw_mg(nzb+1,l) = rho_air_zw_mg(nzb+1,l+1)
+           nzt_l = nzt_l / 2
+           DO  k = 2, nzt_l+1
+              dzu_mg(k,l) = dzu_mg(2*k-2,l+1) + dzu_mg(2*k-1,l+1)
+              dzw_mg(k,l) = dzw_mg(2*k-2,l+1) + dzw_mg(2*k-1,l+1)
+              rho_air_mg(k,l)    = rho_air_mg(2*k-1,l+1)
+              rho_air_zw_mg(k,l) = rho_air_zw_mg(2*k-1,l+1)
+           ENDDO
+       ENDDO
+
+       nzt_l = nzt
+       dx_l  = dx
+       dy_l  = dy
+       DO  l = maximum_grid_level, 1, -1
+          ddx2_mg(l) = 1.0_wp / dx_l**2
+          ddy2_mg(l) = 1.0_wp / dy_l**2
+          DO  k = nzb+1, nzt_l
+             f2_mg(k,l) = rho_air_zw_mg(k,l) / ( dzu_mg(k+1,l) * dzw_mg(k,l) )
+             f3_mg(k,l) = rho_air_zw_mg(k-1,l) / ( dzu_mg(k,l)   * dzw_mg(k,l) )
+             f1_mg(k,l) = 2.0_wp * ( ddx2_mg(l) + ddy2_mg(l) ) &
+                          * rho_air_mg(k,l) + f2_mg(k,l) + f3_mg(k,l)
+          ENDDO
+          nzt_l = nzt_l / 2
+          dx_l  = dx_l * 2.0_wp
+          dy_l  = dy_l * 2.0_wp
+       ENDDO
+
+    ENDIF
+
+!
 !-- 3D-array for storing the dissipation, needed for calculating the sgs
 !-- particle velocities
@@ -883,6 +1031,6 @@
              vsws = 0.0_wp
           ENDIF
-          uswst = top_momentumflux_u
-          vswst = top_momentumflux_v
+          uswst = top_momentumflux_u * momentumflux_input_conversion(nzt+1)
+          vswst = top_momentumflux_v * momentumflux_input_conversion(nzt+1)
 
 !
@@ -1043,7 +1191,7 @@
           us    = 1E-30_wp 
           usws  = 0.0_wp
-          uswst = top_momentumflux_u
+          uswst = top_momentumflux_u * momentumflux_input_conversion(nzt+1)
           vsws  = 0.0_wp
-          vswst = top_momentumflux_v
+          vswst = top_momentumflux_v * momentumflux_input_conversion(nzt+1)
           IF ( humidity )       qs = 0.0_wp
           IF ( passive_scalar ) ss = 0.0_wp
@@ -1165,5 +1313,5 @@
                 CALL disturb_heatflux
              ELSE
-                shf = surface_heatflux
+                shf = surface_heatflux * heatflux_input_conversion(nzb)
 !
 !--             Initialize shf with data from external file LSF_DATA
@@ -1178,5 +1326,6 @@
                       DO  j = nysg, nyng
                          IF ( nzb_s_inner(j,i) /= 0 )  THEN
-                            shf(j,i) = wall_heatflux(0)
+                            shf(j,i) = wall_heatflux(0)                        &
+                                  * heatflux_input_conversion(nzb_s_inner(j,i))
                          ENDIF
                       ENDDO
@@ -1194,5 +1343,5 @@
              ENDIF
              IF ( constant_waterflux )  THEN
-                qsws   = surface_waterflux
+                qsws   = surface_waterflux * waterflux_input_conversion(nzb)
 !
 !--             Over topography surface_waterflux is replaced by 
@@ -1203,5 +1352,6 @@
                       DO  j = nysg, nyng
                          IF ( nzb_s_inner(j,i) /= 0 )  THEN
-                            qsws(j,i) = wall_qflux(0)
+                            qsws(j,i) = wall_qflux(0)                          &
+                                 * waterflux_input_conversion(nzb_s_inner(j,i))
                          ENDIF
                       ENDDO
@@ -1241,5 +1391,6 @@
 !
 !--       Prescribe to heat flux
-          IF ( constant_top_heatflux )  tswst = top_heatflux
+          IF ( constant_top_heatflux )  tswst = top_heatflux                   &
+                                             * heatflux_input_conversion(nzt+1)
 !
 !--       Prescribe zero latent flux at the top      
Index: /palm/trunk/SOURCE/init_grid.f90
===================================================================
--- /palm/trunk/SOURCE/init_grid.f90	(revision 2036)
+++ /palm/trunk/SOURCE/init_grid.f90	(revision 2037)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Anelastic approximation implemented
 ! 
 ! Former revisions:
@@ -222,5 +222,5 @@
          
     USE grid_variables,                                                        &
-        ONLY:  ddx, ddx2, ddx2_mg, ddy, ddy2, ddy2_mg, dx, dx2, dy, dy2, fwxm, &
+        ONLY:  ddx, ddx2, ddy, ddy2, dx, dx2, dy, dy2, fwxm,                   &
                fwxp, fwym, fwyp, fxm, fxp, fym, fyp, wall_e_x, wall_e_y,       &
                wall_u, wall_v, wall_w_x, wall_w_y, zu_s_inner, zw_w_inner
@@ -293,6 +293,4 @@
 
     REAL(wp) ::  dum           !< dummy variable to skip columns while reading topography file    
-    REAL(wp) ::  dx_l          !< grid spacing along x on different multigrid level
-    REAL(wp) ::  dy_l          !< grid spacing along y on different multigrid level
     REAL(wp) ::  dz_stretched  !< stretched vertical grid spacing
 
@@ -431,52 +429,4 @@
        ddzu_pres = ddzu
        ddzu_pres(1) = ddzu_pres(2)  ! change for lowest level
-    ENDIF   
-
-!
-!-- In case of multigrid method, compute grid lengths and grid factors for the
-!-- grid levels
-    IF ( psolver(1:9) == 'multigrid' )  THEN
-
-       ALLOCATE( ddx2_mg(maximum_grid_level), ddy2_mg(maximum_grid_level), &
-                 dzu_mg(nzb+1:nzt+1,maximum_grid_level),                   &
-                 dzw_mg(nzb+1:nzt+1,maximum_grid_level),                   &
-                 f1_mg(nzb+1:nzt,maximum_grid_level),                      &
-                 f2_mg(nzb+1:nzt,maximum_grid_level),                      &
-                 f3_mg(nzb+1:nzt,maximum_grid_level) )
-
-       dzu_mg(:,maximum_grid_level) = dzu
-!       
-!--    Next line to ensure an equally spaced grid. 
-       dzu_mg(1,maximum_grid_level) = dzu(2)
-
-       dzw_mg(:,maximum_grid_level) = dzw
-       nzt_l = nzt
-       DO  l = maximum_grid_level-1, 1, -1
-           dzu_mg(nzb+1,l) = 2.0_wp * dzu_mg(nzb+1,l+1)
-           dzw_mg(nzb+1,l) = 2.0_wp * dzw_mg(nzb+1,l+1)
-           nzt_l = nzt_l / 2
-           DO  k = 2, nzt_l+1
-              dzu_mg(k,l) = dzu_mg(2*k-2,l+1) + dzu_mg(2*k-1,l+1)
-              dzw_mg(k,l) = dzw_mg(2*k-2,l+1) + dzw_mg(2*k-1,l+1)
-           ENDDO
-       ENDDO
-
-       nzt_l = nzt
-       dx_l  = dx
-       dy_l  = dy
-       DO  l = maximum_grid_level, 1, -1
-          ddx2_mg(l) = 1.0_wp / dx_l**2
-          ddy2_mg(l) = 1.0_wp / dy_l**2
-          DO  k = nzb+1, nzt_l
-             f2_mg(k,l) = 1.0_wp / ( dzu_mg(k+1,l) * dzw_mg(k,l) )
-             f3_mg(k,l) = 1.0_wp / ( dzu_mg(k,l)   * dzw_mg(k,l) )
-             f1_mg(k,l) = 2.0_wp * ( ddx2_mg(l) + ddy2_mg(l) ) + &
-                          f2_mg(k,l) + f3_mg(k,l)
-          ENDDO
-          nzt_l = nzt_l / 2
-          dx_l  = dx_l * 2.0_wp
-          dy_l  = dy_l * 2.0_wp
-       ENDDO
-
     ENDIF
 
Index: /palm/trunk/SOURCE/ls_forcing_mod.f90
===================================================================
--- /palm/trunk/SOURCE/ls_forcing_mod.f90	(revision 2036)
+++ /palm/trunk/SOURCE/ls_forcing_mod.f90	(revision 2037)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Anelastic approximation implemented
 ! 
 ! Former revisions:
@@ -109,4 +109,5 @@
            ONLY:  p_surf, pt_surf, q_surf, qsws_surf, shf_surf, td_lsa_lpt,    &
                   td_lsa_q, td_sub_lpt, td_sub_q, time_surf, time_vert,        &
+                  heatflux_input_conversion, waterflux_input_conversion,       &
                   ug_vert, vg_vert, wsubs_vert, zu
 
@@ -213,4 +214,6 @@
        ENDDO
 
+       shf_surf  = shf_surf  * heatflux_input_conversion(nzb)
+       qsws_surf = qsws_surf * waterflux_input_conversion(nzb)
 
        IF ( time_surf(1) > end_time )  THEN
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 2036)
+++ /palm/trunk/SOURCE/modules.f90	(revision 2037)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Anelastic approximation implemented
 ! 
 ! Former revisions:
@@ -493,4 +493,19 @@
     REAL(wp), DIMENSION(:,:,:,:), ALLOCATABLE ::  rif_wall, tri
 
+    REAL(wp), DIMENSION(:), ALLOCATABLE :: rho_air     !< air density profile on the uv grid
+    REAL(wp), DIMENSION(:), ALLOCATABLE :: rho_air_zw  !< air density profile on the w grid
+    REAL(wp), DIMENSION(:), ALLOCATABLE :: drho_air    !< inverse air density profile on the uv grid
+    REAL(wp), DIMENSION(:), ALLOCATABLE :: drho_air_zw !< inverse air density profile on the w grid
+
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE :: rho_air_mg    !< air density profiles on the uv grid for multigrid
+    REAL(wp), DIMENSION(:,:), ALLOCATABLE :: rho_air_zw_mg !< air density profiles on the w grid for multigrid
+
+    REAL(wp), DIMENSION(:), ALLOCATABLE :: heatflux_input_conversion      !< conversion factor array for heatflux input
+    REAL(wp), DIMENSION(:), ALLOCATABLE :: waterflux_input_conversion     !< conversion factor array for waterflux input
+    REAL(wp), DIMENSION(:), ALLOCATABLE :: momentumflux_input_conversion  !< conversion factor array for momentumflux input
+    REAL(wp), DIMENSION(:), ALLOCATABLE :: heatflux_output_conversion     !< conversion factor array for heatflux output
+    REAL(wp), DIMENSION(:), ALLOCATABLE :: waterflux_output_conversion    !< conversion factor array for waterflux output
+    REAL(wp), DIMENSION(:), ALLOCATABLE :: momentumflux_output_conversion !< conversion factor array for momentumflux output
+
 
     SAVE
@@ -616,4 +631,7 @@
                              psolver = 'poisfft', &
                              scalar_advec = 'ws-scheme'
+    CHARACTER (LEN=20)   ::  approximation = 'boussinesq'
+    CHARACTER (LEN=40)   ::  flux_input_mode = 'approximation-specific'
+    CHARACTER (LEN=40)   ::  flux_output_mode = 'approximation-specific'
     CHARACTER (LEN=20)   ::  bc_e_b = 'neumann', bc_lr = 'cyclic', &
                              bc_ns = 'cyclic', bc_p_b = 'neumann', &
Index: /palm/trunk/SOURCE/netcdf_interface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 2036)
+++ /palm/trunk/SOURCE/netcdf_interface_mod.f90	(revision 2037)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! ------------------
-! 
+! Anelastic approximation implemented
 ! 
 ! Former revisions:
@@ -252,4 +252,8 @@
              ( 'unknown      ', i9 = 1, dots_max-42 ) /)
 
+    CHARACTER (LEN=16) :: heatflux_output_unit     !< unit for heatflux output
+    CHARACTER (LEN=16) :: waterflux_output_unit    !< unit for waterflux output
+    CHARACTER (LEN=16) :: momentumflux_output_unit !< unit for momentumflux output
+
     CHARACTER (LEN=9), DIMENSION(300) ::  dopr_unit = 'unknown'
 
@@ -368,7 +372,7 @@
             id_var_x_fl, id_var_y_fl, id_var_z_fl,  nc_stat,                   &
             netcdf_data_format, netcdf_data_format_string, netcdf_deflate,     &
-            netcdf_precision, output_for_t0
-            
-            
+            netcdf_precision, output_for_t0, heatflux_output_unit,             &
+            waterflux_output_unit, momentumflux_output_unit
+
     SAVE
 
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 2036)
+++ /palm/trunk/SOURCE/parin.f90	(revision 2037)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Anelastic approximation implemented
 ! 
 ! Former revisions:
@@ -313,5 +313,6 @@
 
 
-    NAMELIST /inipar/  alpha_surface, background_communication, bc_e_b, bc_lr, &
+    NAMELIST /inipar/  alpha_surface, approximation,                           &
+                       background_communication, bc_e_b, bc_lr,                &
                        bc_ns, bc_p_b, bc_p_t, bc_pt_b, bc_pt_t, bc_q_b,        &
              bc_q_t,bc_s_b, bc_s_t, bc_sa_t, bc_uv_b, bc_uv_t,                 &
@@ -332,6 +333,7 @@
              dt, dt_pr_1d, dt_run_control_1d, dx, dy, dz, dz_max,              &
              dz_stretch_factor, dz_stretch_level, end_time_1d,                 &
-             ensemble_member_nr,                                               &
-             e_init, e_min, fft_method, galilei_transformation, humidity,      &
+             ensemble_member_nr, e_init, e_min, fft_method,                    &
+             flux_input_mode, flux_output_mode,                                &
+             galilei_transformation, humidity,                                 &
              inflow_damping_height, inflow_damping_width,                      &
              inflow_disturbance_begin, inflow_disturbance_end,                 &
